Skip to content
Endless Documentation

Get ScheduledTasks

GET
/organizations/{organization_id}/scheduled-tasks/{scheduled_task_id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
scheduled_task_id*string
Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/organizations/org_abc123/scheduled-tasks/0191e5a2-c15d-7147-ba2f-7c8e0d36f915"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "string",  "created_by_id": "string",  "name": "string",  "prompt": "string",  "model": "string",  "chat_model_id": "085fd23c-6380-4bcb-90c1-820841aba3a2",  "media_model": "string",  "media_model_id": "6bfa6c29-9e81-4c8d-888f-372202e5c5da",  "media_intent": "image",  "cadence": {    "kind": "daily"  },  "time": "string",  "timezone": "string",  "status": "active",  "visibility": "private",  "email_enabled": true,  "next_run_at": "2019-08-24T14:15:22Z",  "last_run_at": "2019-08-24T14:15:22Z",  "mod_schedule_id": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "last_run_status": "in_progress",  "disabled_connector_ids": [    "string"  ],  "disabled_skill_ids": [    "string"  ],  "email_recipient_ids": [    "string"  ],  "email_recipient_emails": [    "string"  ]}